%define major	0
%define api	2.2
%define gtkver	3
%define oname cxx-gtk-utils
%define libname	%mklibname %{oname} %{api} %{major}
%define devname %mklibname %{oname} %{api} -d

# For obsoletes
%define oldname	%mklibname %{name} 0
%define olddname %mklibname %{name} -d

Summary:	GTK+-based ISO image editor
Name:		c++-gtk-utils
Version:	2.2.13
Release:	%mkrel 3
License:	LGPLv2
Group:		System/Libraries
URL:		http://cxx-gtk-utils.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/cxx-gtk-utils/cxx-gtk-utils/%{version}/%{name}-%{version}.tar.gz
Patch0:		c++-gtk-utils-2.2.13-mga-skip_tests-MakeFile.am.patch

BuildRequires:	gtk+3.0-devel

%description
c++-gtk-utils is a lightweight library containing 
a number of classes and functions for programming 
GTK+ programs using C++ in POSIX (Unix-like) environments, 
where the user does not want to use a full-on wrapper such
as gtkmm or wxWidgets, or is concerned about exception safety 
or thread safety of the wrapper and their documentation.
It is parallel installable for both GTK+2 and GTK+3. 

%package -n	%{libname}
Summary:	A library containing a number of classes and functions for programming GTK+ programs using C++
Group:		System/Libraries
Obsoletes:	%{oldname} < 2.2.1-2

%description -n %{libname}
c++-gtk-utils is a lightweight library containing
a number of classes and functions for programming
GTK+ programs using C++ in POSIX (Unix-like) environments,
where the user does not want to use a full-on wrapper such
as gtkmm or wxWidgets, or is concerned about exception safety
or thread safety of the wrapper and their documentation.
It is parallel installable for both GTK+2 and GTK+3.

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Obsoletes:	%{olddname} < 2.2.1-2

%description -n %{devname}
Development files for %{name}

%prep
%setup -q
%autopatch -p1

%build
autoreconf
LDFLAGS="%{ldflags} -lpthread"
%configure2_5x --disable-static
%make

%install
%make_install
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/libcxx-gtk-utils-%{gtkver}-%{api}.so.%{major}
%{_libdir}/libcxx-gtk-utils-%{gtkver}-%{api}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}-%{gtkver}-%{api}/%{name}/*.h
%{_includedir}/%{name}-%{gtkver}-%{api}/%{name}/*.tpp
%{_libdir}/pkgconfig/*.pc
%{_docdir}/%{name}/%{api}/html/*
%{_docdir}/%{name}/%{api}/README
%{_docdir}/%{name}/%{api}/NEWS
%{_docdir}/%{name}/%{api}/BUGS
%{_docdir}/%{name}/%{api}/COPYING
%{_docdir}/%{name}/%{api}/PORTING*
%{_libdir}/libcxx-gtk-utils-%{gtkver}-%{api}.so


%changelog
* Thu May 12 2016 wally <wally> 2.2.13-3.mga6
+ Revision: 1014267
- fix overlinking (use our %%ldflags)

* Thu May 12 2016 barjac <barjac> 2.2.13-2.mga6
+ Revision: 1014241
- skip tests to fix arm build
- patch MakeFile.am for above and run autoreconf

* Tue May 10 2016 barjac <barjac> 2.2.13-1.mga6
+ Revision: 1011821
- new version 2.2.13

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 09 2015 barjac <barjac> 2.2.12-1.mga6
+ Revision: 909211
- new version 2.2.12

* Mon Sep 21 2015 barjac <barjac> 2.2.11-1.mga6
+ Revision: 882056
- new version 2.2.11

* Mon Aug 31 2015 cjw <cjw> 2.2.8-5.mga6
+ Revision: 871539
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.2.8-4.mga5
+ Revision: 749975
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.8-3.mga5
+ Revision: 693546
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.8-2.mga5
+ Revision: 678267
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 barjac <barjac> 2.2.8-1.mga5
+ Revision: 674269
- new version 2.2.8

* Thu Jun 05 2014 barjac <barjac> 2.2.7-1.mga5
+ Revision: 633541
- new version 2.2.7

* Mon Feb 17 2014 barjac <barjac> 2.2.5.1-1.mga5
+ Revision: 594003
- new version 2.2.5.1

* Mon Oct 21 2013 umeabot <umeabot> 2.2.3-2.mga4
+ Revision: 539490
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 barjac <barjac> 2.2.3-1.mga4
+ Revision: 492295
- new version 2.2.3

* Fri Aug 09 2013 barjac <barjac> 2.2.1-2.mga4
+ Revision: 465035
- change lib/dev pkg names in line with real libname
- obsolete old names
- add major check
- add api to lib/dev names
- thanks to wally for help with this :)

* Fri Aug 09 2013 barjac <barjac> 2.2.1-1.mga4
+ Revision: 464838
- new version
- fix license
- use configure2_5x and --disable-static
- add -lpthread to LDFLAGS to fix build (probably a better way but spent too long trying)

* Fri May 31 2013 barjac <barjac> 2.0.16-1.mga4
+ Revision: 433517
- new version 2.0.16

* Fri Jan 11 2013 umeabot <umeabot> 2.0.14-2.mga3
+ Revision: 347278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 2.0.14-1.mga3
+ Revision: 341279
- new version 2.0.14

* Tue Feb 14 2012 barjac <barjac> 2.0.4-1.mga2
+ Revision: 208908
- use mkrel macro
- fix spelling error
- del *.a
- imported package c++-gtk-utils

